## org.eclipse.emf.mapping
Interface TypeConverter

All Superinterfaces:
  EObject, MappingHelper, Notifier

All Known Subinterfaces:
  ComplexTypeConverter, FunctionNamePair, FunctionPair

All Known Implementing Classes:
  ComplexTypeConverterImpl, FunctionNamePairImpl, FunctionPairImpl, TypeConverterImpl

    public interface TypeConverter

extends MappingHelper

A representation of the model object 'Type Converter'.

See Also:
  `MappingPackage.getTypeConverter()`

Method Summary

Methods inherited from interface org.eclipse.emf.mapping.MappingHelper
`getHelpedObject, getMapper, getNested, getNestedIn, setHelpedObject, setMapper, setNestedIn`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.